> For the complete documentation index, see [llms.txt](https://docs.console.zenlayer.com/api-reference/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.console.zenlayer.com/api-reference/cn/security/maintenance/events/describealerts.md).

# DescribeMaintenanceAlerts

## 1. 接口描述

本接口（DescribeMaintenanceAlerts）用于查询维护通知列表。

## 2. 请求参数

以下请求参数列表仅列出了接口中需要的请求参数

<table><thead><tr><th>参数名称</th><th width="107">必选</th><th width="157">类型</th><th>描述</th></tr></thead><tbody><tr><td>product</td><td>是</td><td>String</td><td>产品线。目前支持BMC和SDN</td></tr></tbody></table>

## 3. 响应结果

<table><thead><tr><th>参数名称</th><th width="254">类型</th><th>描述</th></tr></thead><tbody><tr><td>requestId</td><td>String</td><td>唯一请求 ID。<br>每次请求都会返回。定位问题时需要提供该次请求的 requestId。</td></tr><tr><td>dataList</td><td>Array of <a href="/pages/hJDTsufpO1G23IVb5Llq#maintenancealertinfo">MaintenanceAlerts</a></td><td>结果集。</td></tr></tbody></table>

## 4. 代码示例

{% tabs %}
{% tab title="示例" %}

1. **查询维护通知列表。**

```json
POST /api/v2/maintenance HTTP/1.1
Host: console.zenlayer.com
Content-Type: application/json
X-ZC-Action: DescribeMaintenanceAlerts
<Common Request Params>

Request:
{
    "product":"SDN"
}

Response:
{
  "requestId": "T83B6A963-B111-4BF9-8466-1C3351E2DFD1",
  "dataList": [
        {
            "instanceId": "node-1afmdaxzad23",
            "location": "area-shanghai-1",
            "impact": "this is impact infomation",
            "startTime": "2023-07-28T16:00:00Z",
            "endTime": "2023-07-29T16:00:00Z",
            "status": "in progress"
        }
 ]
}
```

{% endtab %}
{% endtabs %}

## 5. 开发者工具

Zenlayer Cloud API 2.0 提供了配套的[开发工具集（SDK）](/api-reference/cn/api-introduction/toolkit.md)，未来会陆续支持更多开发语言，方便快速接入和使用Zenlayer的产品和服务。

## 6. 错误码

常见错误码见[公共错误码](/api-reference/cn/api-introduction/instruction/commonerrorcode.md)
